AbstractPoolEntry (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class AbstractPoolEntry

    java.lang.Object
      org.apache.http.impl.conn.AbstractPoolEntry

Direct Known Subclasses:
  BasicPoolEntry, SingleClientConnManager.PoolEntry

Deprecated. (4.2) do not use

    @Deprecated
    public abstract class AbstractPoolEntry

extends Object

A pool entry for use by connection manager implementations. Pool entries work in conjunction with an `adapter`. The adapter is handed out to applications that obtain a connection. The pool entry stores the underlying connection and tracks the `route` established. The adapter delegates methods for establishing the route to its pool entry.

If the managed connections is released or revoked, the adapter gets disconnected, but the pool entry still contains the underlying connection and the established route.

Since:
  4.0

Field Summary
`protected OperatedClientConnection` | `connection` Deprecated. The underlying connection being pooled or used.
`protected ClientConnectionOperator` | `connOperator` Deprecated. The connection operator.
`protected HttpRoute` | `route` Deprecated. The route for which this entry gets allocated.
`protected Object` | `state` Deprecated. Connection state object
`protected RouteTracker` | `tracker` Deprecated. The tracked route, or `null` before tracking starts.

Constructor Summary
`protected` | `AbstractPoolEntry(ClientConnectionOperator connOperator, HttpRoute route)` Deprecated. Creates a new pool entry.

Method Summary
`Object` | `getState()` Deprecated. Returns the state object associated with this pool entry.
`void` | `layerProtocol(org.apache.http.protocol.HttpContext context, org.apache.http.params.HttpParams params)` Deprecated. Layers a protocol on top of an established tunnel.
`void` | `open(HttpRoute route, org.apache.http.protocol.HttpContext context, org.apache.http.params.HttpParams params)` Deprecated. Opens the underlying connection.
`void` | `setState(Object state)` Deprecated. Assigns a state object to this pool entry.
`protected void` | `shutdownEntry()` Deprecated. Shuts down the entry.
`void` | `tunnelProxy(org.apache.http.HttpHost next, boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Tracks tunnelling of the connection to a chained proxy.
`void` | `tunnelTarget(boolean secure, org.apache.http.params.HttpParams params)` Deprecated. Tracks tunnelling of the connection to the target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connOperator

    protected final ClientConnectionOperator connOperator

  Deprecated.
  The connection operator.

### connection

    protected final OperatedClientConnection connection

  Deprecated.
  The underlying connection being pooled or used.

### route

    protected volatile HttpRoute route

  Deprecated.
  The route for which this entry gets allocated.

### state

    protected volatile Object state

  Deprecated.
  Connection state object

### tracker

    protected volatile RouteTracker tracker

  Deprecated.
  The tracked route, or `null` before tracking starts.

Constructor Detail

### AbstractPoolEntry

    protected AbstractPoolEntry(ClientConnectionOperator connOperator,
                                HttpRoute route)

  Deprecated.
  Creates a new pool entry.

  Parameters:
    `connOperator` - the Connection Operator for this entry
    `route` - the planned route for the connection, or `null`

Method Detail

### getState

    public Object getState()

  Deprecated.
  Returns the state object associated with this pool entry.

  Returns:
    The state object

### setState

    public void setState(Object state)

  Deprecated.
  Assigns a state object to this pool entry.

  Parameters:
    `state` - The state object

### open

    public void open(HttpRoute route,
                     org.apache.http.protocol.HttpContext context,
                     org.apache.http.params.HttpParams params)
              throws IOException

  Deprecated.
  Opens the underlying connection.

  Parameters:
    `route` - the route along which to open the connection
    `context` - the context for opening the connection
    `params` - the parameters for opening the connection
  Throws:
    `IOException` - in case of a problem

### tunnelTarget

    public void tunnelTarget(boolean secure,
                             org.apache.http.params.HttpParams params)
                      throws IOException

  Deprecated.
  Tracks tunnelling of the connection to the target. The tunnel has to be established outside by sending a CONNECT request to the (last) proxy.

  Parameters:
    `secure` - `true` if the tunnel should be considered secure, `false` otherwise
    `params` - the parameters for tunnelling the connection
  Throws:
    `IOException` - in case of a problem

### tunnelProxy

    public void tunnelProxy(org.apache.http.HttpHost next,
                            boolean secure,
                            org.apache.http.params.HttpParams params)
                     throws IOException

  Deprecated.
  Tracks tunnelling of the connection to a chained proxy. The tunnel has to be established outside by sending a CONNECT request to the previous proxy.

  Parameters:
    `next` - the proxy to which the tunnel was established. See `ManagedClientConnection.tunnelProxy` for details.
    `secure` - `true` if the tunnel should be considered secure, `false` otherwise
    `params` - the parameters for tunnelling the connection
  Throws:
    `IOException` - in case of a problem

### layerProtocol

    public void layerProtocol(org.apache.http.protocol.HttpContext context,
                              org.apache.http.params.HttpParams params)
                       throws IOException

  Deprecated.
  Layers a protocol on top of an established tunnel.

  Parameters:
    `context` - the context for layering
    `params` - the parameters for layering
  Throws:
    `IOException` - in case of a problem

### shutdownEntry

    protected void shutdownEntry()

  Deprecated.
  Shuts down the entry. If `open(HttpRoute, HttpContext, HttpParams)` is in progress, this will cause that open to possibly throw an `IOException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.